Name:           proxydriver
Version:        1.51
Release:        1%{?dist}
Summary:        (Re-)configure proxy settings when a NetworkManager connection comes up

Group:          System Environment/Daemons
License:        GPLv3
URL:            proxydriver.sourceforge.net
Source0:        http://proxydriver.svn.sourceforge.net/viewvc/proxydriver/src/v%{version}/proxydriver.sh
Patch0:         01-support-for-http_proxy-env-variable.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       NetworkManager

%description
Proxydriver is script wich handles GNOME, KDE, and system environment proxy
settings using Network Manager dispatch framework. Activation of a
NetworkManager network connection triggers a (re)configuration of proxy
settings, based on the name of the NetworkManager connection.

%prep
%setup -q -c -T
cp -p %{SOURCE0} .
%patch0

%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d
install -pm 0755 proxydriver.sh \
  $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d/99-proxydriver.sh


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sysconfdir}/NetworkManager/dispatcher.d/99-proxydriver.sh


%changelog
* Sun Jan 13 2013 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.51-1
- Initial release
